aboutsummaryrefslogtreecommitdiffstats
path: root/docker/exec_tests.sh
diff options
context:
space:
mode:
authorjose.lausuch <jose.lausuch@ericsson.com>2016-09-29 17:37:15 +0200
committerjose.lausuch <jose.lausuch@ericsson.com>2016-09-29 17:37:45 +0200
commit7a99ea3daf7e01936612e1c205ec612a92732ed9 (patch)
treeaaa1281795d53a9e11a4b94133e36053456461a3 /docker/exec_tests.sh
parent1f389fa4e814bda23fcb650a737ef2bff13aacf8 (diff)
Propose common directory for Docker related files
Proposal 3 from this wiki: https://wiki.opnfv.org/display/INF/Docker+handling+in+CI#DockerhandlinginCI-3Dockerfilelocation Do not merge before this: https://gerrit.opnfv.org/gerrit/#/c/22565/ JIRA: RELENG-148 Change-Id: I6fc236688389879fd7f62788eaf77d75dc4730cd Signed-off-by: jose.lausuch <jose.lausuch@ericsson.com>
Diffstat (limited to 'docker/exec_tests.sh')
-rwxr-xr-xdocker/exec_tests.sh55
1 files changed, 55 insertions, 0 deletions
diff --git a/docker/exec_tests.sh b/docker/exec_tests.sh
new file mode 100755
index 000000000..9aee240da
--- /dev/null
+++ b/docker/exec_tests.sh
@@ -0,0 +1,55 @@
+#!/bin/bash
+##############################################################################
+# Copyright (c) 2015 Ericsson AB and others.
+#
+# All rights reserved. This program and the accompanying materials
+# are made available under the terms of the Apache License, Version 2.0
+# which accompanies this distribution, and is available at
+# http://www.apache.org/licenses/LICENSE-2.0
+##############################################################################
+
+set -e
+
+: ${YARDSTICK_REPO:='https://gerrit.opnfv.org/gerrit/yardstick'}
+: ${YARDSTICK_REPO_DIR:='/home/opnfv/repos/yardstick'}
+: ${YARDSTICK_BRANCH:='master'} # branch, tag, sha1 or refspec
+
+: ${RELENG_REPO:='https://gerrit.opnfv.org/gerrit/releng'}
+: ${RELENG_REPO_DIR:='/home/opnfv/repos/releng'}
+: ${RELENG_BRANCH:='master'} # branch, tag, sha1 or refspec
+
+git_checkout()
+{
+ if git cat-file -e $1^{commit} 2>/dev/null; then
+ # branch, tag or sha1 object
+ git checkout $1
+ else
+ # refspec / changeset
+ git fetch --tags --progress $2 $1
+ git checkout FETCH_HEAD
+ fi
+}
+
+echo
+echo "INFO: Updating releng -> $RELENG_BRANCH"
+if [ ! -d $RELENG_REPO_DIR ]; then
+ git clone $RELENG_REPO $RELENG_REPO_DIR
+fi
+cd $RELENG_REPO_DIR
+git checkout master && git pull
+git_checkout $RELENG_BRANCH $RELENG_REPO
+
+echo
+echo "INFO: Updating yardstick -> $YARDSTICK_BRANCH"
+if [ ! -d $YARDSTICK_REPO_DIR ]; then
+ git clone $YARDSTICK_REPO $YARDSTICK_REPO_DIR
+fi
+cd $YARDSTICK_REPO_DIR
+git checkout master && git pull
+git_checkout $YARDSTICK_BRANCH $YARDSTICK_REPO
+
+# setup the environment
+source $YARDSTICK_REPO_DIR/tests/ci/prepare_env.sh
+
+# execute tests
+$YARDSTICK_REPO_DIR/tests/ci/yardstick-verify $@